Bug 623665 - Suspend doesn't resume display on nVidia Corporation GT216 [Quadro FX 880M], Lenovo W510
Suspend doesn't resume display on nVidia Corporation GT216 [Quadro FX 880M], ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
All Linux
high Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
[cat:suspend]
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 09:19 EDT by David Kovalsky
Modified: 2014-03-31 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:01:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/pm-suspend.log (4.90 KB, text/plain)
2010-08-12 19:01 EDT, David Kovalsky
no flags Details

  None (edit)
Description David Kovalsky 2010-08-12 09:19:01 EDT
Please see 
https://bugzilla.redhat.com/show_bug.cgi?id=582272#c5
for description. 

In short, suspend works, but after resume display is just blank. Oddly, suspend/resume works properly with binary nVidia drivers. 

Let me know if you need more information to debug or if there are (installable :-)) packages I can test.
Comment 1 Ben Skeggs 2010-08-12 18:04:33 EDT
The kernel I mentioned previously should already have the fix, all the RPMs you need to make it installable are available in koji.

kernel: http://koji.fedoraproject.org/koji/buildinfo?buildID=189280
linux-firmware: http://koji.fedoraproject.org/koji/buildinfo?buildID=189951
Comment 2 David Kovalsky 2010-08-12 19:01:04 EDT
I've installed the new linux-firmware (probably mirror I used was out of date, sorry) and the new kernel.

Linux kovinek 2.6.34.3-37.fc13.x86_64 #1 SMP Tue Aug 10 21:09:58 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

With the above kernel I'm not even able to suspend. X session disappears and I'm left with the bootscreen (list of services that started up with the green/red OK/FAILED) and that's it. Keyboard, mouse, power button - nothing responds. I have to do a hard shutdown. 

I'm attaching /var/log/pm-suspend.log in hope it will be helpful.
Comment 3 David Kovalsky 2010-08-12 19:01:41 EDT
Created attachment 438556 [details]
/var/log/pm-suspend.log
Comment 4 David Kovalsky 2010-08-12 19:03:58 EDT
Oh, and /var/log/messages doesn't show anything interesting :-/
Comment 5 David Kovalsky 2011-05-25 17:58:30 EDT
F14 kinda works. 


All displays wake up, but the built in LCD turns to lowest backlight and there's nothing one can do. Suck bigtime, I can barely see this text. But something is better than nothing :)
Comment 6 Bug Zapper 2011-06-01 07:36:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David Kovalsky 2011-06-01 09:07:37 EDT
I'm not using F13 anymore. F14 kinda works and the core of this bug has been fixed. This can be closed.
Comment 8 Elad Alfassa 2011-06-27 14:01:53 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.